<?php defined("SYSPATH") or die("No direct script access.");

class Downloadsizes_Controller extends Controller {
  public function downloadimage($item_id){
    $item = ORM::factory("item",$item_id);
    $nw = Input::instance()->post("size");

    header("Content-Type: image/jpg");
    header("Content-Description: File Transfer");
    header("Content-Transfer_Encoding: binary");
    $dfilename = $item->name;
    header("Content-Disposition: attachment; filename=\"".$dfilename."\"");

    if($nw == "original") {
      $nw = $item->width;
      $nh = $item->height;
      @readfile($item->file_path());
      return;
    } else {
      $nh = floor($item->height * ($nw / $item->width));
    }

    $imgSrc = imagecreatefromjpeg($item->file_path());
    $imgNew = imagecreatetruecolor($nw,$nh);
    imagecopyresized($imgNew,$imgSrc,0,0,0,0,$nw,$nh,$item->width,$item->height);
    imagejpeg($imgNew);
    imagedestroy($imgNew);
    imagedestroy($imgSrc);
    return;
  }
}
