<?php defined("SYSPATH") or die("No direct script access.");

class downloadsizes_block_Core {
  static function get_site_list() {
    return array("downloadsizes" => t("Download Image"));
  }

  static function get($block_id, $theme) {
    if(!$theme->item){ return; }
    if($theme->item->is_photo()) {
      if(identity::active_user()->guest) {
	return;
      }
      $block = "";
      $array = "";
      switch ($block_id) {
	case "downloadsizes":
	  $block = new Block();
	  $block->css_id = "g-downloadsizes-block";
	  $block->title = t("Download Image");
	  $block->content = new View("downloadsizes_block.html");
	  $block->content->item = $theme->item->id;
	  $size = array("320","480","640","800","1024","1200","1600");
	  $imgow = $theme->item->width;
	  $imgoh = $theme->item->height;
	  $array["original"] = t("Original Size");
	  foreach($size as $sz){
	    $imgnh = floor($imgoh * ($sz / $imgow)); 
	    if($sz < $imgow && $imgnh < $imgoh){
	      $array[$sz] = $sz."X".$imgnh;
	    }
	  }


	  $form = new Forge("downloadsizes/downloadimage/{$theme->item->id}", "", "post",
			    array("id" =>"g-download-sizes-form", "class" => "g-downloadsizes-form"));
	    $form->dropdown("size")->label(t("Choose Size"))->options($array);
	    $form->submit("submit")->value(t("Download"));
	  $block->content->form = $form;
      }
      return $block;
    }
  }
}
